Skip to main content
GET
/
v2
/
field-value-changes
Get all field value changes
curl --request GET \
  --url https://api.affinity.co/v2/field-value-changes \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": 42,
      "field": {
        "id": "field-1234",
        "entityType": "company",
        "name": "Stage",
        "type": "global"
      },
      "entity": {
        "id": 1
      },
      "listEntry": {
        "id": 1,
        "listId": 1
      },
      "changer": {
        "id": 1,
        "firstName": "John",
        "lastName": "Smith",
        "emailAddress": "john.smith@contoso.com"
      },
      "changedAt": "2024-06-01T12:00:00Z",
      "actionType": "update",
      "type": "<string>",
      "value": {
        "referenceType": "<string>",
        "id": 1,
        "name": "Horizon Technologies",
        "domain": "horizontech.com"
      }
    }
  ],
  "pagination": {
    "prevUrl": "https://api.affinity.co/v2/foo?cursor=ICAgICAgYmVmb3JlOjo6Nw",
    "nextUrl": "https://api.affinity.co/v2/foo?cursor=ICAgICAgIGFmdGVyOjo6NA"
  }
}

Documentation Index

Fetch the complete documentation index at: https://developer.affinity.co/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

filter
string

Filter options

orderBy
enum<string>[]

Properties to sort by. Defaults to changedAt. Prefix with - for descending order.

Available options:
changedAt,
-changedAt
cursor
string

Cursor for the next or previous page

Example:

"ICAgICAgYmVmb3JlOjo6Nw"

limit
integer<int32>
default:100

Number of items to include in the page

Required range: 1 <= x <= 100
Example:

100

Response

OK

data
(fieldValueChanges.CompanyValueChange · object | fieldValueChanges.CompanyMultiValueChange · object | fieldValueChanges.DatetimeValueChange · object | fieldValueChanges.DropdownValueChange · object | fieldValueChanges.DropdownMultiValueChange · object | fieldValueChanges.FilterableTextValueChange · object | fieldValueChanges.FilterableTextMultiValueChange · object | fieldValueChanges.LocationValueChange · object | fieldValueChanges.LocationMultiValueChange · object | fieldValueChanges.NumberValueChange · object | fieldValueChanges.NumberMultiValueChange · object | fieldValueChanges.PersonValueChange · object | fieldValueChanges.PersonMultiValueChange · object | fieldValueChanges.RankedDropdownValueChange · object | fieldValueChanges.TextValueChange · object)[]
required

The field value changes for this page

Maximum array length: 100
pagination
Pagination · object
required